Method: ragMetadata.list

Full name: projects.locations.ragCorpora.ragFiles.ragMetadata.list

Lists RagMetadata in a RagFile.

Endpoint

get https://{service-endpoint}/v1beta1/{parent}/ragMetadata

Where {service-endpoint} is one of the supported service endpoints.

Path parameters

parent string

Required. The resource name of the RagFile from which to list the RagMetadata. Format: projects/{project}/locations/{location}/ragCorpora/{ragCorpus}/ragFiles/{ragFile}

Query parameters

pageSize integer

Optional. The standard list page size. The maximum value is 100. If not specified, a default value of 100 will be used.

pageToken string

Optional. The standard list page token. Typically obtained via ListRagMetadataResponse.next_page_token of the previous VertexRagDataService.ListRagMetadata call.

Request body

The request body must be empty.

Response body

Response message for VertexRagDataService.ListRagMetadata.

If successful, the response body contains data with the following structure:

Fields
ragMetadata[] object (RagMetadata)

List of RagMetadata in the requested page.

nextPageToken string

A token to retrieve the next page of results. Pass to ListRagMetadataRequest.page_token to obtain that page.

JSON representation
{
  "ragMetadata": [
    {
      object (RagMetadata)
    }
  ],
  "nextPageToken": string
}